
TYPO3.Kickstart - Bug # 4847

Status: Resolved Priority: Could have
Author: Daniel Hofstetter Category:
Created: 2009-10-01 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Affected Flow version:
Subject: Lowercase package name causes an unexplained exception when using kickstart package
Description

I'm currently following the "Getting started" tutorial and while creating my first package, I used, by accident, "blog" as package name
(instead of "Blog" as in the tutorial):

./flow3 kickstart package blog

This causes the following error:

Uncaught FLOW3 Exception #1220722210: The package key "blog" is invalid
thrown in file /home/dho/projects/flowtutorial/Packages/Framework/FLOW3/Classes/Package/Manager.php
in line 238

It would be helpful to mention what the criteria are for a valid key.

I'm using the "Getting started" package with flow3 alpha 4.

Associated revisions
Revision 6ebd9e7a - 2010-01-18 11:25 - Karsten Dambekalns

[+BUGFIX] Kickstart: When an invalid package key is used, a proper error message is shown, fixes #4847.

History
#1 - 2009-10-02 10:02 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.Kickstart
- Category deleted (Error)

#2 - 2009-10-02 10:05 - Karsten Dambekalns
- Subject changed from Lowercase package name causes an exception when using flow3 kickstart to Lowercase package name causes an 
unexplained exception when using kickstart package

The actual problem is that the exception is not caught and transformed into a helpful error message.

#3 - 2010-01-18 11:23 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0.0 alpha 7

2015-08-03 1/2



#4 - 2010-01-18 12:02 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3657.
